| Home | Libraries | People | FAQ | More

#### http::validate_list

Returns `true` if a parsed list is parsed without errors.

##### Synopsis

Defined in header `<boost/beast/http/rfc7230.hpp>`

    template<
        class Policy>
    bool
    validate_list(
        detail::basic_parsed_list< Policy > const& list);

##### Description

This function iterates a single pass through a parsed list and returns `true` if there were no parsing errors, else returns `false`.

Convenience header `<boost/beast/http.hpp>`